/*
Template Weekly Post
Last update : 01/09/2026
*/

/* === IMPORTS === */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');

/* === COULEURS ==== */
/* Palette
   Analytique   :   #E63946   rgba(230, 57, 70, 1)
   Démographie  :   #1D4ED8   rgba(29, 78, 216, 1)
   Highlights   :   #E04F00   rgba(224, 79, 0, 1)
   Économie     :   #00875A   rgba(0, 135, 90, 1)
   Special      :   #6D28D9   rgba(109, 40, 217, 1)
   Couleur active :
   --main-color
*/
:root {
    --main-color: #1D4ED8;
    --main-color-rgb: 29, 78, 216;
    --main-color-opacity: rgba(var(--main-color-rgb), .40);
    --main-color-detail: rgba(var(--main-color-rgb), .75);
    --main-color-transparent: rgba(var(--main-color-rgb), 0);
}
.bg-color-contr {
    background: var(--main-color);
}
.color-contr {
    color: var(--main-color);
}

/* === UTILITAIRES === */
/* Visibilité */
.d-none {display: none !important; }
/* Alignements */
.align-items-center {
    align-items: center !important;
}
.align-items-end {
    align-items: flex-end !important;
}
.align-items-left {
    align-items: flex-start !important;
}
/* Espacements */
.p-1 {
    padding: .25rem !important;
}

/* === TYPOGRAPHIE === */
body {
    font-family: 'Inter', sans-serif;
    font-variant-numeric: tabular-nums;
    font-size: 16px;
    background: #ECEAE3;
    color: #000;
    padding: 20px 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}
h1,h2,h3,h4,h5,h6,dd {
    font-family: 'Inter', sans-serif;
}
h1 {
    margin: 0 2rem .5rem;
}
p {
    font-size: 1em;
}
b {
    color: var(--main-color);
}

/* === TEXTE === */
.txt-left {
    text-align: left;
}
.txt-left-small {
    text-align: left;
    font-size: .875em;
}
.txt-left-cha {
    text-align: left;
    font-weight: 600;
}

/* === GRILLE === */
/* Page */
.page-container {
    max-width: 960px;
    margin: auto;
}
.container {
    width: 100%;
    padding-right: var(--bs-gutter-x, .75rem);
    padding-left: var(--bs-gutter-x, .75rem);
    margin: auto;
}
.row {
    --bs-gutter-x: 0rem;
    --bs-gutter-y: 0rem;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    margin-top: calc(var(--bs-gutter-y) * -1);
    margin-right: calc(var(--bs-gutter-x) / -2);
    margin-left: calc(var(--bs-gutter-x) / -2);
}
/* Colonnes */
.col-sm-2 {
    flex: 0 0 auto;
    width: 16.67%;
}
.col-3 {
    flex: 0 0 auto;
    width: 25%;
}
.col-6 {
    flex: 0 0 auto;
    width: 50%;
}

/* === HEADER === */
/* Général */
#header {
	position: relative;
	background-image: /*linear-gradient(var(--main-color), white),*/  url("../img/wp_img.jpg");
    /*background-blend-mode: color;*/
    background-size: cover;
	background-position: center; /*top,center ou bottom*/
    max-height: 600px;
    min-height: 193px;
    min-width: 320px;
    color: #FFF;
}
/* Bandeau supérieur */
.bansup {
	background-color: rgba(255,255,255,1.0);
    flex: 0 0 auto;
    min-height: 50px;
    max-height: 95px;
	margin:-2rem;
    border-bottom: 10px solid var(--main-color);
}
p.pre-title {
    display: flex;
    padding:2rem;
    padding-bottom: 1rem;
    padding-top: 1rem;
    margin-bottom:-.5rem;
    font-size: .875em;
    font-weight: 600;
    justify-content: space-between;
}
/* Cadre [catégorie] du Weekly Post */
p.category-title {
    margin-top:45% !important;
    margin-bottom: 20px !important;
    position: relative;
    display: inline-block;
	height: 24px;
    margin-left: -2rem;
    padding-right: 1.5rem;
    padding-left: 2rem;
    font-weight: 600;
	font-size: 0.875em;
}
/* Bandeau inférieur */
.baninf {
    display: flex;
    background-color: rgba(255,255,255,1.0);
    border-bottom: 2px solid var(--main-color);
    padding: 0.5rem;
    padding-left:2rem;
    flex: 0 0 auto;
    min-height: 10px;
    max-height: 75px;
    width: auto;
    margin:-2rem;
    justify-content: space-between;
   flex-wrap: wrap; 
}
/* Titre du Weekly Post */
.title-wp{ 
    font-size: 1.85em;
    font-weight: bold;
	line-height: 1.5em;
    color:var(--main-color);
}
/* Crédit photo */
.credit{ 
    color: #212529;
    font-size: 0.750rem;
	margin-bottom: 0.5rem;
}

/* === MAIN === */
/* Général */
main {
    /*padding-top:1rem;*/
    background: #FFF;
    margin: auto;
    min-width: 320px;
}
/* Réseaux sociaux */
.social-logo-container{
    background-color:rgba(217,217,217,0.5);
}
.logo-social{
	margin-left: 0.5rem;
}
img.logo-reseau{
    cursor: pointer;
    min-width:30px;
    display: block;
    margin-left: 0;
    margin-right: auto;
}
a.share-button {
    display: inline-block;
    font-size: 1.825em;
    border: 0;
    line-height: 0.8em;
    padding: 0 0 0 5px;
}
/* Coordonnées et éditeurs */
.coord{
    margin: 0px;
    margin-top: 0.7rem !important;
    margin-bottom: 0.7rem !important;
	font-size: 1.25rem;
	line-height: 1.5rem;
	color:rgba(0,0,0,.5);
}
.trait-contact{
    height: 2px;
}
/* Article */
article p { /* paragraphe standard */
  line-height: 1.4em;
  padding-left: 0rem;
  padding-right: 0rem;
}
.legend-gt .title { /* titre du tableau */
    font-weight: 600;
    margin-top: 1em;
    margin-bottom: 0;
}
.legend-gt .subtitle { /* sous-titre tableau */
    font-size: 0.825em;
}

/* === FOOTER === */

/* General */
footer {
    background: #FFF;
    border-top: 1px solid #C8C8C8;
    display: flex;
    min-height: 80px;
    min-width: 320px;
    flex-direction: column
}
footer p { /* Editors */
    font-size: 1.25rem;
    margin-bottom: 0;
    color: #000;
    font-family: 'Inter', sans-serif;
}
footer .footer-logo {
    margin-left: auto;
}
/* Logos */
.logo-fo-footer{ /* logo position */
    float: right;
}
.logo{ /* logo */
    margin: 0.65rem;
}
.logo_sp{ /* logo margin */
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}
.container-article p.coord {
	margin:0px;
    margin-top:0.7rem !important;
    margin-bottom:0.7rem !important;
}
.container-img { /* conteneur logo et coord */
	margin-left: 2rem;
	margin-right: 1rem;
}

/* === RESPONSIVE === */

/* Default */
@media (max-width: 991px) { /* No padding below 991px */ 
    body {
        padding: 0;
    }
/* Screens M [>=768px] */
@media (min-width: 768px) { 
	.container-article p {
        margin-right: 2rem; /* social display on the right */
    }
	.logo-social-container-footer { /* social logo container */
		display:none;
	}
}
/* Screens S [576-767px]*/
@media (max-width: 767px) {
	p {
    font-size: 0.85em;
	}
	.container-img {
		display: none;
	}
	.logo-social-container-footer-big{ 
		display: none;
	}
    .baninf {
        max-height: none;
        height: auto;
        align-items: flex-start;
        }
    .title-wp{
        font-size: 1.5em;
    }
}
@media (min-width: 768px) {
}
/* Screens XS */
@media (max-width: 575px) {	
	body {
		font-size: 1.50rem;
	}
	.title-wp{ 
		font-size: 1.75rem;
	}
	p.category-title { 
		margin-bottom: 21px !important;
		font-size: 1em;
		height: 12px;
		font-size: 10px;
	}
    .credit { 
		font-size: 0.5rem;
		margin-bottom: 0.0rem;
	}
    #header { 
		width: 100%;
    }
    p.pre-title { 
		font-size: 0.75em;
	}
    footer .footer-logo {
		margin-left: 0;
		margin-bottom: 2rem;
	} 
}
/* Screens XXS */
@media (max-width: 450px) {
	p.category-title {
		margin-top: 37% !important;
	}
}